Bug 215909 - [exp-run] security/gnutls: Update to 3.5.8
Summary: [exp-run] security/gnutls: Update to 3.5.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Tijl Coosemans
URL: http://www.vuxml.org/freebsd/0c5369fc...
Keywords: needs-qa, patch, security
Depends on:
Blocks:
 
Reported: 2017-01-09 14:38 UTC by Bernard Spil
Modified: 2017-01-12 14:48 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (tijl)
brnrd: merge-quarterly?
brnrd: exp-run?


Attachments
svn diff for security/gnutls (19.36 KB, patch)
2017-01-09 14:38 UTC, Bernard Spil
no flags Details | Diff
svn diff for security/gnutls (20.64 KB, patch)
2017-01-09 21:20 UTC, Bernard Spil
no flags Details | Diff
patch (20.81 KB, patch)
2017-01-10 13:35 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2017-01-09 14:38:36 UTC
Created attachment 178668 [details]
svn diff for security/gnutls

security/gnutls: Update to 3.5.8

  - Update to 3.5.8
  - Fixing 2 memory corruption vunerabilities
  - Remove lib/tmp.c patch
  - Update pkg-plist

PR:
Security: 0c5369fc-d671-11e6-a9a5-b499baebfeaf
MFH: 2017Q1
Comment 1 Bernard Spil freebsd_committer 2017-01-09 14:43:06 UTC
According to the website of GnuTLS, the 3.5 branch uses the 3.4 ABI. Not sure if an exp-run is required.

The 3.4 branch has been discontinued and no update for that branch can be found on the website.
Comment 2 Tijl Coosemans freebsd_committer 2017-01-09 15:33:55 UTC
Let's do an exp-run just to be safe.
Comment 3 Bernard Spil freebsd_committer 2017-01-09 20:14:54 UTC
(In reply to Tijl Coosemans from comment #2)

I couldn't find the reason patch-lib-tpm.c was added in ports r411990. It now fails to apply yet Tspi_Context_GetTpmObject_func is defined twice in the source file. No compile error.
Comment 4 Tijl Coosemans freebsd_committer 2017-01-09 20:31:48 UTC
(In reply to Bernard Spil from comment #3)
I don't really remember but from bug 207768, comment 9 and 11 I think old gcc doesn't like the duplicate typedef, so you should recreate the patch for architectures that still use gcc.
Comment 5 Bernard Spil freebsd_committer 2017-01-09 21:20:39 UTC
Created attachment 178679 [details]
svn diff for security/gnutls

security/gnutls: Update to 3.5.8

  - Update to 3.5.8
  - Add libunistring dependency
  - Fixing 2 memory corruption vunerabilities
  - Rename lib/tpm.c patch to new standard
  - Update pkg-plist

PR:
Security: 0c5369fc-d671-11e6-a9a5-b499baebfeaf
MFH: 2017Q1
Comment 6 Antoine Brodin freebsd_committer 2017-01-09 21:25:06 UTC
Please provide a diff that can be applied (--show-copies-as-adds for instance)
Comment 7 Tijl Coosemans freebsd_committer 2017-01-10 13:35:57 UTC
Created attachment 178712 [details]
patch

Fix LICENSE_FILE_*.
Comment 8 Antoine Brodin freebsd_committer 2017-01-11 18:12:29 UTC
A limited exp-run looks fine.
Comment 9 commit-hook freebsd_committer 2017-01-11 22:28:09 UTC
A commit references this bug:

Author: tijl
Date: Wed Jan 11 22:27:50 UTC 2017
New revision: 431214
URL: https://svnweb.freebsd.org/changeset/ports/431214

Log:
  Update to 3.5.8.

  PR:		215909
  Submitted by:	brnrd
  Exp-run by:	antoine
  MFH:		2017Q1
  Security:	0c5369fc-d671-11e6-a9a5-b499baebfeaf

Changes:
  head/security/gnutls/Makefile
  head/security/gnutls/distinfo
  head/security/gnutls/files/patch-lib-tpm.c
  head/security/gnutls/pkg-plist
Comment 10 commit-hook freebsd_committer 2017-01-12 09:34:05 UTC
A commit references this bug:

Author: tijl
Date: Thu Jan 12 09:33:06 UTC 2017
New revision: 431240
URL: https://svnweb.freebsd.org/changeset/ports/431240

Log:
  MFH: r431214

  Update to 3.5.8.

  PR:		215909
  Submitted by:	brnrd
  Exp-run by:	antoine
  Security:	0c5369fc-d671-11e6-a9a5-b499baebfeaf
  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/security/gnutls/Makefile
  branches/2017Q1/security/gnutls/distinfo
  branches/2017Q1/security/gnutls/files/patch-lib-tpm.c
  branches/2017Q1/security/gnutls/pkg-plist